PG8X (inspired by the JX8P): new beta version uploaded

VST, AU, AAX, etc. plug-in Virtual Instruments discussion
User avatar
KVRian
725 posts since 30 May, 2007 from Syracuse, NY, USA

Post Thu Mar 27, 2014 4:27 am

BTW since you have 10.7, the upgrade to 10.9 is free.

Just sayin'.

User avatar
KVRAF
7556 posts since 11 Jun, 2006

Post Thu Mar 27, 2014 6:00 am

vst2 x32 working fine in Energy XT2 under winXP SP3 x32 :tu:

pg8x is on the way! hooray :party:
HW SYNTHS [KORG T2EX - AKAI AX80 - YAMAHA SY77 - ENSONIQ VFX]
HW MODULES [OBi M1000 - ROLAND MKS-50 - ROLAND JV880 - KURZ 1000PX]
SW [CHARLATAN - OBXD - OXE - ELEKTRO - MICROTERA - M1 - SURGE - RMiV]
DAW [ENERGY XT2/1U RACK WINXP / MAUDIO 1010LT PCI]

KVRian

Topic Starter

949 posts since 27 Jun, 2009 from Germany

Post Thu Mar 27, 2014 10:44 am

Just to try: I uploaded builds made with the 10.7 SDK. Curious whether they will work.
I also will start searching the WDL forum to see whether similar problems have occurred before.

Cheers,
Martin

KVRAF
2747 posts since 13 Feb, 2012 from Amsterdam

Post Thu Mar 27, 2014 10:58 am

martin_l wrote:
lionscub68 wrote:Bad news:
Does not work on a Mac using my setup:
MacBook Pro 17" (2009) running OSX 10.9.2
Ableton Live 9.1.x (32-bit mode) does not show any of the three version (AU, VST2.4, VST3)
Opening an audio editor I have that usees plugins (Amadeus Pro) I get this message:

I didn't try Logic Pro 9 or any other host. Generally if I can't see a plugin by these two apps, I won't see the plugins anywhere else.
You are compiling it for Intel processors, yes? (Not Legacy/PowerPC)?
Thanks very much. That is interesting...

I am building with XCode4.5 and for x86_64. I selected 10.5 as target system and use the 10.6 sdk. If that breaks it on 10.9, I will try to change that to a 10.6 target.

I myself am running a 10.7 MacBook Pro 64 bit, and the AU and VST2 are showing up and running in Reaper(32 and 64).

Cheers,
Martin
Tried it quickly on Live 9.1.1 (64bit) on MacOS 10.9.2 and both AU and VST 2.4 worked flawless. Tried the plugins from the MAC-SDK10.6 folder on Dropbox.

Sounds great btw! Thanks for this, really looking forward to PG8x on Mac!

User avatar
KVRian
725 posts since 30 May, 2007 from Syracuse, NY, USA

Post Thu Mar 27, 2014 11:08 am

BDeep wrote:Tried it quickly on Live 9.1.1 (64bit) on MacOS 10.9.2 and both AU and VST 2.4 worked flawless. Tried the plugins from the MAC-SDK10.6 folder on Dropbox.
This creates quite a dilemma for me. Many of my songs are using legacy plugins that force me to run Live in 32-bit, otherwise we have an identical setup. I'm not alone in this issue. I hope there's a workaround. (Need: 32-bit Universal)

User avatar
KVRian
725 posts since 30 May, 2007 from Syracuse, NY, USA

Post Thu Mar 27, 2014 11:10 am

martin_l wrote:Just to try: I uploaded builds made with the 10.7 SDK. Curious whether they will work.
I also will start searching the WDL forum to see whether similar problems have occurred before.

Cheers,
Martin
Oh geez, I just saw that you uploaded these. Will try later (still at work as I post this) and I will definitely report back my results.

KVRAF
2747 posts since 13 Feb, 2012 from Amsterdam

Post Thu Mar 27, 2014 11:47 am

lionscub68 wrote:
BDeep wrote:Tried it quickly on Live 9.1.1 (64bit) on MacOS 10.9.2 and both AU and VST 2.4 worked flawless. Tried the plugins from the MAC-SDK10.6 folder on Dropbox.
This creates quite a dilemma for me. Many of my songs are using legacy plugins that force me to run Live in 32-bit, otherwise we have an identical setup. I'm not alone in this issue. I hope there's a workaround. (Need: 32-bit Universal)
I fired up the 32bit Live app, and indeed, the plugins don't show up. I'll try Martin's 10.7 builds and report back.

EDIT: right, the 10.7 builds have the exact same problem. Won't load in 32 bit apps it seems. (well, I only tested in Live, so...)

KVRAF
3063 posts since 18 May, 2003 from Sweden

Post Thu Mar 27, 2014 1:17 pm

Running Mac OS 10.8.4, unfortunately none of the JX-Chorus plug-ins (VST and AU, 10.6 and 10.7) are recognised by Live 9 (32), or by Tracktion 5.2.4 (32 and 64 bit).

/Joachim
If it were easy, anybody could do it!

KVRian

Topic Starter

949 posts since 27 Jun, 2009 from Germany

Post Thu Mar 27, 2014 1:58 pm

OK. Next trial...

I just uploaded (in the SDK 10.6 folder) separate 32-bit and 64 bit versions. Let's hope that these work. Otherwise I am running out of ideas... Does anybody have a clue what could be going on? I am fairly new to developing on Mac.

Cheers,
Martin

KVRAF
2747 posts since 13 Feb, 2012 from Amsterdam

Post Thu Mar 27, 2014 2:20 pm

AU works now in 32 bit, VST.... not so much. Thanks for your quick response Martin!

User avatar
KVRian
725 posts since 30 May, 2007 from Syracuse, NY, USA

Post Thu Mar 27, 2014 2:26 pm

martin_l wrote:OK. Next trial...

I just uploaded (in the SDK 10.6 folder) separate 32-bit and 64 bit versions. Let's hope that these work. Otherwise I am running out of ideas... Does anybody have a clue what could be going on? I am fairly new to developing on Mac.

Cheers,
Martin
I just tried the 10.6 folder new plugins.Same test I had before:
Mac OSX 10.9.2, Live 9.1.1 (32bit) & Amadeus Pro (audio editor)

Both VSTs do not show up in Live at all. The AudioUnit works!
All plugins show in Amadeus Pro, however I get the same message I did last time (see my screenshot about an older format on page 42 of this string). BUT the AudioUnit works here, too! So by default I assume it will work in Logic Pro.

So the problem seems to be in your compiler for the Mac VSTs.

I'll try the 10.7 versions too, next.

EDIT: The 10.7 Mac VSTs do not work at all. (same message from Amadeus Pro)

Maybe contact the vendor about the version of the Mac VST compiler?

KVRian

Topic Starter

949 posts since 27 Jun, 2009 from Germany

Post Thu Mar 27, 2014 2:51 pm

I just realized that my change of the compile settings to 32 bit only affected the AU, but not the VST builds. I now redid the 32 bit VSTs. Can you test it again?

Thanks,
Martin

User avatar
KVRian
725 posts since 30 May, 2007 from Syracuse, NY, USA

Post Thu Mar 27, 2014 3:48 pm

martin_l wrote:I just realized that my change of the compile settings to 32 bit only affected the AU, but not the VST builds. I now redid the 32 bit VSTs. Can you test it again?

Thanks,
Martin
NOW YOU"RE TALKING
THE WORLD'S QUIETEST ROLAND CHORUS
I can report that at least one of the VSTs is working, the VST2.4

The VST2.4 works beautifully in Ableton Live 9.1.1 (32-bit) on Mac OSX 10.9.2.
With practically zero CPU increase. Makes a plain Pianoteq piano sound like a CP-80. :)

In Amadeus Pro however the VST3 did give me that same message again. Maybe it's because Amadeus Pro itself is 32-bit and doesn't pre-load any VST. So I'd consider this successful! Ask BDeep to test the VST3.

If you got past this hurdle, perhaps it's time to incorporate it back into the combined 32-64 Mac VST version.

KVRAF
2747 posts since 13 Feb, 2012 from Amsterdam

Post Thu Mar 27, 2014 3:54 pm

Sorry, nothing here that loads VST3... There must be some Cubase users out there?
Maybe make a new topic in the Effects section and indicate in the title that it's both PC and Mac, that might attract some new users.

User avatar
KVRian
725 posts since 30 May, 2007 from Syracuse, NY, USA

Post Thu Mar 27, 2014 3:59 pm

One request though: Could you have the VST2.4 & VST3 report to the host in the name as "JXChorusV2" and "JXChorusV3" or some other concoction? As to differentiate between the two, if both are loaded in the same system? Right now they both report as "JXChorus" in my audio editor.

Return to “Instruments”